# Exploring Natural Language Processing Methods for Interactive Behaviour Modelling

*Guanhua Zhang, Matteo Bortoletto, Zhiming Hu, Lei Shi, Mihai Bâce, and Andreas Bulling*

Proc. IFIP TC13 Conference on Human-Computer Interaction (INTERACT), 2023, York, UK

https://link.springer.com/chapter/10.1007/978-3-031-42286-7_1

---

This repository contains the EMAKI dataset:
- user: User ID 1~39
- task: Text entry and editing (3), image editing (4) and questionnaire completion (5)
- trial: Questionnaire completion had four trials
- type: Action type, one of ['mousemove', 'mousedown', 'mouseup', 'keydown', 'keyup']
- timestamp: Timestamp of the current mouse or keyboard action
- X/Y: On-screen coordinates of the current mouse cursor
- value: Left (1) or right (3) if type is mousedown/up; keystroke content if type is keydown/up; nan/none otherwise 
- resolutionX/Y: The resolution of user's screen when performing the online user study

As well as code for

- Byte pair encoding (BPE)
- The Transformer-based classifier

---

If you find our work helpful, please cite:

```
@InProceedings{zhang2023exploring,
author="Zhang, Guanhua
and Bortoletto, Matteo
and Hu, Zhiming
and Shi, Lei
and B{\^a}ce, Mihai
and Bulling, Andreas",
title="Exploring Natural Language Processing Methods for Interactive Behaviour Modelling",
booktitle="Human-Computer Interaction -- INTERACT 2023",
year="2023",
publisher="Springer Nature Switzerland",
address="Cham",
pages="3--26",
isbn="978-3-031-42286-7"
}
```